package tankGame01;

import java.awt.*;

public class Tank {
    // 横纵坐标
    private Integer x;
    private Integer y;

    public Tank(Integer x, Integer y) {
        this.x = x;
        this.y = y;
    }

    /**
     * 初始化坦克
     * @param g 画笔
     * @param direct 方向 上下左右 1234
     * @param type 类型 1 我方 2 敌方
     */
    public void initTank(Graphics g, int direct,int type) {
        Color color = type == 1? Color.CYAN:Color.ORANGE;
        // 画坦克
        g.setColor(color);
        switch (direct) {
            // 向上
            case 1:
                g.fill3DRect(x,y,10,60,false);// 坦克左侧履带
                g.fill3DRect(x+30,y,10,60,false);// 坦克右侧履带
                g.fill3DRect(x+10,y+10,20,40,false); // 中间控制台
                g.fillOval(x+10,y+20,20,20);  // 画坦克的盖子
                g.drawLine(x+20,y+30,x+20,y);// 画机关枪（中间的线）
                break;
        }

    }

}
